#parameters.py
from os import path
from Tools import *

def loadParameters(self):
  # Project version
  try: projectVersion = str(common.projectVersion)
  except: projectVersion = "Unknown"
  print "\nProject version "+projectVersion
  #EM added mySeed to commonVar
  common.mySeed = input("random number seed (1 to get it from the clock) ")
  if common.mySeed == 1:
        random.seed()
  else:
        random.seed(common.mySeed)
  #EM - Note: no bland agents here 
  self.nAgents = 0
  print "# of 'Bland' agents:", self.nAgents

  #self.worldXSize= input("X size of the world? ")
  self.worldXSize=50
  print "X size of the world? ", self.worldXSize

  #self.worldYSize= input("Y size of the world? ")
  self.worldYSize=50
  print "Y size of the world? ", self.worldYSize

  self.nCycles = input("How many cycles? (0 = exit) ")

  #EM
  common.sight = input("maxSight? ")
  common.contractList=[]
  
  #EM - verbose switch
  common.verbose=False

  #EM
  networkInput=raw_input("Consider peer network? [y]/n ")
  if networkInput=="y" or networkInput=="Y" or networkInput=="":
      common.network=True
  elif networkInput=="n" or networkInput=="N":
      common.network=False
      askForAverageDurationOfContracts()
  else: 
      print "Warning: input not recognized. Default is y. "
      common.network=True
      #askForAverageDurationOfContracts()
     
  ##EM - movingPolicy
  #print 'Choose moving policy:',\
  #      '\n 1 - moving probability = 1 for every agent;'\
  #      '\n 2 - moving probability from a logistic function.'
  #      '\n Default: 1'
  ##invert comment here for asking  
  mpInput='1'
  ##mpInput=raw_input("moving poicy? ")  
  if mpInput=='1':
      common.movingPolicy='one'
  elif mpInput=='2':
      common.movingPolicy='logistic'
     
  #EM - bargain power:
  bp='equal'
  # random
  if bp=='equal':
      common.bPower='equal'
  else:
      common.bPower='random'
      
      

#EM - auxiliary 
def askForAverageDurationOfContracts():
    common.duration=input("Average duration of contracts? ")
    if type(common.duration)!=float and type(common.duration)!=int:
        print "Warning: input not recognized. "          

      
